<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
  <meta charset="UTF-8">
  <title>Fakultas</title>

</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
  <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h4 class="h4">Fakultas</h4>
    <!--        <div class="btn-toolbar mb-2 mb-md-0">-->
    <!--            <div class="btn-group me-2">-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
    <!--            </div>-->
    <!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
    <!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
    <!--                This week-->
    <!--            </button>-->
    <!--        </div>-->
  </div>

  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header" style="text-align: right;">
          <a th:href="@{/fakultas/form}" class="btn btn-info btn-sm"><i class="fa fa-plus-circle"></i> Tambah Data</a>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-striped table-bordered table-hover">
              <thead class="table-dark" style="--bs-table-bg:#15408d;">
              <tr>
                <th>No.</th>
                <th>Institusi</th>
                <th>Fakultas</th>
                <th>Nomor Dokumen</th>
                <th>Keterangan</th>
                <th></th>
              </tr>
              </thead>
              <tbody>
              <tr th:each="data, row:${list}">
                <td th:text="${(row.index + 1)}"></td>
                <td th:text="${data.institution.nama}"></td>
                <td th:text="${data.namaFakultas}"></td>
                <td th:text="${data.nomorDokumen}"></td>
                <td th:text="${data.keterangan}"></td>
                <td>
                  <a th:href="@{/view-doc/fakultas/{doc}(doc = ${data.id})}" class="btn btn-primary btn-sm" target="_blank">Lihat Dokumen</a>
                  <a th:href="@{/institusi/delete/{id}/(id = ${data.id})}" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');" class="btn btn-danger btn-sm">Hapus</a>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>
</body>
</html>
